Bug 359901 - WM doesn't resize window when its below gnome-panel
WM doesn't resize window when its below gnome-panel
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-31 07:02 EDT by Zdenek Kabelac
Modified: 2014-06-18 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-31 14:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Short overview were how the gnome-panel & app windows is located (19.27 KB, image/jpeg)
2007-10-31 07:02 EDT, Zdenek Kabelac
no flags Details

  None (edit)
Description Zdenek Kabelac 2007-10-31 07:02:28 EDT
Description of problem:

When the application window is moved below the gnome-panel which is located at
the top of window (see the attached small jpg) via Alt+mouse the window cannot
be then easily resized - instead of resizing I get the Window menu.

Version-Release number of selected component (if applicable):

How reproducible:
Move windows below top located gnome-panel

Steps to Reproduce:
Actual results:
Instead of resize I get Windows menu

Expected results:
Be able to change the size by moving window borders - just like
everywhere else.

Additional info:
Comment 1 Zdenek Kabelac 2007-10-31 07:02:28 EDT
Created attachment 244461 [details]
Short overview were how the gnome-panel & app windows is located
Comment 2 Bug Zapper 2008-05-13 23:48:30 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Lauri Nurmi 2008-08-14 18:34:32 EDT
To be more precise, what matters is whether the title bar of the application is (completely) off the screen, or not.  If the title bar is off the screen, then the window cannot be resized using the mouse, but instead a stupid popup menu shows up.
Comment 4 Søren Sandmann Pedersen 2008-10-31 14:20:34 EDT
We inherit this behavior from upstream metacity. While I personally agree that it would be better to resize instead of showing the menu, I'm not going to patch it in Fedora. You will need to convince upstream.

Note You need to log in before you can comment on or make changes to this bug.